The Wine development release 8.0-rc2 is now available.

What's new in this release:
  - Bug fixes only, we are in code freeze.

The source is available at:

  https://dl.winehq.org/wine/source/8.0/wine-8.0-rc2.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 8.0-rc2 (total 50):

 - #31927  ws2_32:sock fails intermittently - 'Test succeeded inside todo block: GetQueuedCompletionStatus returned 0'
 - #42797  ICU64 for VICE: No highlighted read/write-colors in Memory-window.
 - #46500  Cogpack - Exercises can't be run - Error 380 - Invalid property value
 - #46538  Unreal Tournament (UT99): mouse clicks in main menu work only once
 - #49394  CED1401 USB function driver needs ntoskrnl.exe.KeInsertQueueDpc()
 - #49517  Warframe crashes during loading before menu with wined3d, gives popup
 - #50013  MyPhoneExplorer 1.8.15 crashes
 - #50043  Kholat from GOG does not launch anymore
 - #50315  Silent Hill 2 failed to install -installshield extraction error
 - #50468  winedbg fails to load symbols for non PE builtin dlls
 - #52334  Performance has degraded in multiple games (WoW 1.12.1, Kane & Lynch: Dead Men Demo)
 - #52394  "Control panel" -> "Add/Remove Programs" in builtin wine explorer is not working
 - #52564  dxgi:dxgi times out in test_find_closest_matching_mode() on cw-gtx560
 - #52708  libs/xslt/libxslt/attributes.c:136:9: error: variadic functions must use the base AAPCS variant
 - #52779  Construction Set Extender crash with an Assertion Error in wine 7.5
 - #52873  oleaut32:typelib fails in Wine in Hindi
 - #52964  kernel32:locale - test_CompareStringA() fails on Wine in Hindi
 - #52997  Integration of D3D12 support with a PE build of vkd3d causes a crash in Steam Overlay.
 - #53028  gamepad buttons stopped working correctly
 - #53099  wineserver (gcc -O0) crash when exiting LiLi USB Creator
 - #53300  Controller response delayed
 - #53384  Hogia Hemekonomi Unexpected error on first start
 - #53406  Had been running 7.10 Fedora version no problem, but today updated to 7.12 broke??
 - #53485  Cursor is missing in Visio 2003 when editing text
 - #53503  QuickBooks Pro 99 page faults with print preview or attempting to print
 - #53525  dinput:hid - test_hid_multiple_tlc() sometimes fails with testsigning turned on
 - #53550  Some Catalan locales not properly handled
 - #53595  Iran Timezone is not detected correctly
 - #53623  Resident Evil 7 has broken rendering in DX11 mode
 - #53625  In function ‘get_gnutls_cipher’ ... error: ‘GNUTLS_CIPHER_AES_128_CFB8’ undeclared
 - #53744  WM_SETTEXT between ANSI programs treating LPARAM as Unicode causing name corruption
 - #53756  configure fails in 32-bit gcc checking pthread_create using -Wl,--disable-stdcall-fixup
 - #53884  Project Ignis: EDOPro corrupted textures on resizing
 - #53894  user32:sysparams - test_WM_DISPLAYCHANGE() times out on Windows 7+
 - #53911  DC++ can't retrieve file list from another user
 - #53912  Static initialization in Winelibs may hang the loader as of Wine 7.21
 - #53918  Building with external PE libraries fails when static libraries are also installed
 - #53941  Chicken Tournament crashes on start
 - #53976  ntoskrnl.exe:ntoskrnl - test_pnp_devices() fails on Windows 7
 - #53977  amstream:amstream qedit:mediadet mf:transform mfmediaengine:mfmediaengine quartz:filtergraph winmm:mci wmp:media wmvcore:wmvcore mf:mf mfplay:mfplay qasf:asfreader broken on Debian Testing
 - #53980  httpapi:httpapi sometimes crashes testing overlapped I/O with the v2 server in Wine
 - #53990  Serious Sam 2 crashes with OpenGL renderer
 - #54000  user32:win - test_mouse_input() gets an unexpected 0x60 message on Windows 11
 - #54060  Compilation fails with gcc 4.8.4 (Error: junk at end of line, first unrecognized character is `"')
 - #54085  windows.devices.enumeration:devices - test_DeviceAccessInformation() sometimes crashes on Windows 10
 - #54094  kernel32:process - test_services_exe() sometimes fails due to an invalid buffer size in Windows
 - #54096  Non-PE builds broken since "ntdll: Move the .so module initialization to winecrt0."
 - #54101  unimplemented function MSVCP70.dll.?_Lock@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEXXZ
 - #54105  taskschd:scheduler fails on Windows 10 1607+
 - #54121  8.0-rc1 build fails with errors in bcrypt in Ubuntu 18.04

----------------------------------------------------------------

Changes since 8.0-rc1:

Akihiro Sagawa (1):
      po: Update Japanese translation.

Alex Henrie (4):
      include: Add _recalloc.
      joy: Correct spelling of "overridden".
      dswave: Don't force a calling convention on internal functions.
      po: Update Catalan translation.

Alexandre Julliard (14):
      winecrt0: Include windef.h to get definitions needed on FreeBSD.
      winegcc: Add -ldl when linking .so files.
      oleaut32: Fix A<->W conversion when storing names in typelibs.
      kernel32/tests: Fix a string comparison test in utf-8 locales.
      d3d9/tests: Mark a few more message tests as flaky.
      winebuild: Use new ELF tag ids also on 64-bit.
      winebuild: Disable relay for non-standard fastcall parameters.
      winegcc: Check for Mingw-style .dll.a import libraries.
      ntdll: Match a timezone change happening at 23:59:59 with the following day.
      d3d8/tests: Mark a zero-size pixel test as todo.
      d3d9/tests: Mark a zero-size pixel test as todo.
      d3d9/tests: Mark some of the depth bias tests as todo.
      d3d8/tests: Don't require WM_MOVE on window reactivation.
      d3d8/tests: Make sure that the window has focus before testing loss of focus.

Eric Pouech (14):
      d3dx9/tests: Avoid a GCC warning (-Wsizeof-array-div).
      rpcrt4: Pass a common header to RPCRT4_BuildCommonHeader.
      rpcrt4: Fix GCC12.2 warnings.
      kernel32/tests: Fix a debugger test failing on Windows.
      ntdll: Fix export and calling convention of RtlUlonglongByteSwap().
      ntdll/tests: Add tests for RtlU(long|short)ByteSwap().
      ntdll: Implement RtlU(short|long)ByteSwap() using fastcall bits.
      kernel32/tests: Fix failing debugger test on Win7.
      kernel32/tests: Improve loading of debugger's test children results.
      kernel32/tests: Handle some variations in process start debug events.
      kernel32/tests: Test that control characters can be read & stored.
      conhost: Don't print control characters for Unix tty.
      kernel32/tests: Silence a failing test on Win10+.
      kernel32/tests: Skip some console tests on w1064v1909.

Fabian Maurer (2):
      user32/tests: Ignore undocumented Win11 message.
      urlmon: Pass correct parameter to realloc and simplify code (Coverity).

Gabriel Ivăncescu (6):
      mshtml: Fix document fragment's inner window leak.
      mshtml: Fix previous EventObj leak.
      jscript: Release converted args after invoking.
      jscript: Fix array ref leak when setting element.
      jscript: Fix refcount trace's long type format specifier.
      jscript: Fix JSCaller Release refcount.

Gerald Pfeifer (4):
      winebus.sys: Fix the build without HAVE_SYS_INOTIFY_H.
      libwine: Only define exe_link when needed.
      wmc: Avoid uninitialized variable in init_argv0_dir.
      winebus.sys: Declare a variable only when used.

Hans Leidekker (1):
      bcrypt: Add PSS compatibility defines.

Huw D. M. Davies (10):
      winemac: Fix printf format warnings in clipboard.c.
      winemac: Fix printf format warnings in display.c.
      winemac: Use a designated initializer to silence a compiler warning.
      winemac: Fix printf format warnings in event.c.
      winemac: Fix LONG vs int mismatch.
      winemac: Fix printf format warnings in keyboard.c.
      winemac: Fix printf format warnings in mouse.c.
      winemac: Fix printf format warnings in window.c.
      winemac: Fix remaining printf format warnings.
      ntdll: Only compile get_current_teb() on linux.

Jacek Caban (5):
      win32u: Call init_window_call_params after WH_CALLWNDPROC hook in call_window_proc.
      win32u: Convert inter-process messages to Unicode.
      win32u/tests: Add inter-process message tests.
      urlmon/tests: Use gitlab.winehq.org host in can_do_https.
      shell32: Always set last error in Shell_NotifyIconW.

Michael Stefaniuc (3):
      dmime: Split the segment object creation into a separate helper.
      dmime: Implement the IDirectMusicSegment8_Clone() method.
      dmcompos: Return a valid pointer from ComposeSegmentFromTemplate().

Paul Gofman (9):
      bcrypt: Do not error out for GNUTLS_ECC_CURVE_SECP384R1 in key_export_ecc().
      bcrypt: Use SecureZeroMemory() to zero magic values before free.
      bcrypt: Return correct error from key_asymmetric_encrypt() if key is missing.
      bcrypt: Set pubkey from privkey in key_asymmetric_import().
      bcrypt/tests: Test BCRYPT_PAD_NONE encryption result in test_rsa_encrypt().
      winhttp: Check for NULL lpszAutoConfigUrl in WinHttpGetProxyForUrl().
      winhttp: Handle state in a single switch in receive_response().
      winhttp: Only read server reply in send_request() if the whole request is sent.
      ddraw/tests: Release ddraw after device in test_texture_wrong_caps().

Piotr Caban (4):
      winspool/tests: Fix test failures on Windows 11.
      shell32: Store NameSpace registry path in global variable.
      shell32: Add partial ControlPanel GetAttributesOf implementation.
      shell32: Fix SHChangeNotify test failures.

Robert Wilhelm (1):
      vbscript: Fix spelling in a FIXME message.

Ryan Hendrickson (1):
      wined3d: Recognize AMD as a vendor string.

Rémi Bernon (23):
      winevulkan: Skip asserts for some critical functions.
      winevulkan: Skip traces for some critical functions.
      winevulkan: Return void for some critical functions.
      user32/tests: Don't expect WM_DISPLAYCHANGE with the default display mode.
      user32/tests: Use %d to print last_bpp instead of %u.
      hidclass.sys: Make sure a desktop is created for the driver process.
      dinput/tests: Unregister rawinput devices after tests.
      dinput/tests: Remove old physical joystick tests.
      dinput/tests: Avoid using INFINITE timeouts.
      dinput/tests: Use semaphores to count and notify rawinput messages.
      dinput/tests: Add a device count parameter to hid_device_(start|stop).
      dinput/tests: Wait for each device interface to start / stop.
      user32/tests: Test EnableMouseInPointer behavior.
      user32/tests: Test IsMouseInPointerEnabled behavior.
      user32/tests: Test GetPointerInfo behavior with EnableMouseInPointer.
      user32/tests: Move old GetPointerType tests into test_GetPointerInfo.
      user32/tests: Test GetPointer(Frame)Info(History) behavior.
      dinput/tests: Factor async await together with some new helpers.
      dinput/tests: Test windows.gaming.input infinite effect duration.
      dinput/tests: Test dinput force feedback effect envelope removal.
      Revert "qasf: Register ASF Reader filter media type."
      opengl32/tests: Test wglChoosePixelFormatARB flags filters.
      winex11: Check pixel format flags in X11DRV_wglChoosePixelFormatARB.

Shaun Ren (2):
      mfmediaengine: Change media_engine_Shutdown FIXME to TRACE.
      mfmediaengine: Pause the session in media_engine_Pause.

Sven Baars (2):
      win32u: Account for 16-bit instances in find_class().
      wined3d: Do not explicitly check 3D depth/stencil capabilities in wined3d_check_device_format().

Torge Matthies (1):
      ntdll: Make sure xmm6-xmm15 are always restored in unix call dispatcher.

Zebediah Figura (21):
      win32u: Downgrade the NtOpenFile ERR to a WARN in add_device().
      include: Add CONFIGFLAG_* definitions.
      ntoskrnl/tests: Ignore CONFIGFLAG_FINISH_INSTALL on the child device.
      ws2_32/tests: Add tests for state inherited by accept().
      server: Inherit address reuse flags in accept_socket().
      server: Inherit the SO_SNDBUF value in accept_socket().
      server: Inherit the SO_RCVBUF value in accept_socket().
      server: Inherit the SO_SNDTIMEO value in accept_socket().
      server: Inherit the SO_RCVTIMEO value in accept_socket().
      wined3d: Require depth bias clamp to create a feature level 10.0 device.
      wined3d: Disable wide line support.
      wined3d: Require precise occlusion queries to create a feature level 9.2 device.
      wined3d: Require pipeline statistics queries to create a feature level 10.0 device.
      wined3d: Require vertex pipeline image stores and atomics to create a feature level 11.1 device.
      wined3d: Always bind to GL_ELEMENT_ARRAY_BUFFER if the bind flags include WINED3D_BIND_INDEX_BUFFER.
      win32u: Set the width and height when creating a caret from an existing bitmap.
      httpapi: Allow passing NULL size to HttpReceiveHttpRequest().
      httpapi: Allow passing NULL size to HttpReceiveRequestEntityBody().
      httpapi/tests: Test passing NULL size to request reading functions.
      d3d9/tests: Test GenerateMipSubLevels() on a managed texture.
      d3d9: Upload the relevant texture in d3d9_texture_gen_auto_mipmap().

Ziqing Hui (7):
      mf/tests: Test GetOutputType for WMV decoder.
      mf/tests: Test info headers returned by GetOutputType for WMV decoder.
      mf/tests: Shorten test messages.
      mf/tests: Introduce check_dmo_set_input_type.
      mf/tests: Use one input type for GetOutputType tests.
      mf/tests: Test SetOutputType for WMV decoder.
      mfplat/tests: Add MEDIASUBTYPE_RGB* and NV11 image size tests.
